#pragma once

#include "CollisionBox.h"

namespace Ogre
{
	class SceneNode;
	class Entity;
}

class DefenseWall : public CollisionBox
{
public:
	DefenseWall(int nameNumber);
	Ogre::SceneNode* mNode;
	Ogre::Entity* mEnt;
	float mHealth;
	int mBurningCounter;
	int mActive; //0 = dead, 1 = selecting, 2 = in play
	void Update();
	void DoDamage(float aDamage);
};